[BETA] Create a release template.

View as Markdown

Enterprise feature

[BETA] This API is in beta state, which means it may change or be removed in the future.

Creates and returns a release template scoped to the project.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Response

#/components/schemas/releasePlanTemplateSchema

idstring

The release plan/template’s ID. Release template IDs are ulids.

discriminatorenum
A field to distinguish between release plans and release templates.
namestring
The name of the release template.
createdByUserIddouble

Release template: The ID of the user who created this template.

createdAtstringformat: "date-time"
The date and time that the release template was created.
descriptionstring or nullOptional
A description of the release template.
projectstring or nullOptional

The project this release template belongs to. null for global release templates available in all projects.

milestoneslist of objectsOptional
A list of the milestones in this release template.
archivedAtstring or nullOptionalformat: "date-time"
The date and time that the release template was archived.

Errors

401
Unauthorized Error
409
Conflict Error